# -*- coding: utf-8 -*-
from django import forms
from django.conf import settings

from models import Team
from common.forms import RenderableMixin


class UpdateTeamForm(forms.ModelForm, RenderableMixin):
    class Meta:
        model = Team
        exclude = ('approved_date', 'approved', 'expires_date', 'name', 'lp_name', 'admin_profiles', 'owner_profile', 'active', 'override_name', 'mugshot_url')

    class Media:
        css = {'all': (
                settings.MEDIA_URL + 'css/colortip-1.0-jquery.css',
              )}
        js = (
                settings.MEDIA_URL + 'js/colortip-1.0-jquery.js',
              )


class LoCoCouncilForm(UpdateTeamForm, RenderableMixin):
    class Meta(UpdateTeamForm.Meta):
        model = Team
        exclude = ('approved', 'expires_date', 'name', 'lp_name', 'admin_profiles', 'owner_profile', 'active', 'mugshot_url')
